Botan 1.10.17

Classes | Namespaces | Typedefs | Enumerations | Functions
ec_group.h File Reference
`#include <botan/point_gfp.h>`
`#include <botan/curve_gfp.h>`
`#include <botan/asn1_oid.h>`

Go to the source code of this file.

## Classes
class | Botan::EC_Group

## Namespaces
| Botan

## Typedefs
typedef EC_Group | Botan::EC_Domain_Params

## Enumerations
enum | Botan::EC_Group_Encoding { Botan::EC_DOMPAR_ENC_EXPLICIT = 0, Botan::EC_DOMPAR_ENC_IMPLICITCA = 1, Botan::EC_DOMPAR_ENC_OID = 2 }

## Functions
bool | Botan::operator!= (const EC_Group &lhs, const EC_Group &rhs)